package rocks.zipcode.io.quiz4.collections;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable{
    List<String> stringList = new ArrayList<>();

    public SimpleStringGroup() {

    }

    public Integer count() {

        return this.stringList.size();
    }

    public void insert(String string) {
        stringList.add(string);

    }

    public Boolean has(String valueToInsert) {
        return stringList.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {

        return stringList.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        stringList.remove(valueToInsert);
    }

    public void clear() {
        stringList.clear();
    }

    @Override
    public Iterator iterator() {
        Iterator<String> iterator = stringList.iterator();
        while (iterator.hasNext())
            return iterator;

        return null;
    }
}
